Subject: bug#38309: closed (Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 04 Dec 2019 10:15:02 +0000

Your bug report

#38309: Recent $EMACSLOADPATH changes crash gnome-session

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38309: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38309
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session
From: [email-masked] (Clément Lassieur)
To: Ludovic Courtès <[email-masked]>, Maxim Cournoyer <[email-masked]>
Cc: Leo Prikler <[email-masked]>, [email-masked]
Date: Wed, 04 Dec 2019 11:14:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ludo and Maxim,

Ludovic Courtès <[email-masked]> writes:

> Hi!
>
> [email-masked] (Clément Lassieur) skribis:
>
>> Any update about this?  Any plan to push a fix or a revert?  I've been
>> using your new patches without any issue for a few days already.
>
> I agree that a solution needs to be implemented now, it’s not cool to
> leave fellow GNOME users without Emacs for several days.  :-)
>
> Clément, perhaps you can push the patches now on behalf of Maxim?
> If Maxim eventually comes up and disagrees, we can always adjust.
> At any rate, it’s better than leaving the thing broken.

I pushed them, and I'm closing the bug.  Thank you Maxim for those
patches, and I hope you'll be back soon to keep hacking on Guix and
Emacs!

Clément

Subject: Recent $EMACSLOADPATH changes crash gnome-session
From: "Alex Griffin" <[email-masked]>
To: [email-masked]
Date: Thu, 21 Nov 2019 02:25:33 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

After upgrading my packages today, gnome-session started segfaulting. I think I finally tracked the problem down to the recent changes in how Emacs searches for packages. Apparently Emacs now uses the search path $EMACSLOADPATH. Unfortunately, this is a very long value on my system:

$ echo $EMACSLOADPATH | wc -c
22525

When I add `unset EMACSLOADPATH` to the end of `~/.profile`, GNOME works again.

-- 
Alex Griffin